# Pools

Back-end storage pool information

## List back-end storage pools

> Lists back-end storage pools

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"pools","description":"Back-end storage pool information"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"StoragePools":{"type":"object","properties":{"pools":{"type":"array","items":{"$ref":"#/components/schemas/StoragePool"}}}},"StoragePool":{"type":"object","properties":{"name":{"description":"The pool name","type":"string"},"capabilities":{"description":"Pool capabilities","type":"object"},"total_capacity_gb":{"description":"Total capacity in GB","type":"number"},"free_capacity_gb":{"description":"Free capacity in GB","type":"number"},"allocated_capacity_gb":{"description":"Allocated capacity in GB","type":"number"},"QoS_support":{"description":"Whether QoS is supported","type":"boolean"},"reserved_percentage":{"description":"Reserved percentage","type":"integer"},"driver_version":{"description":"Driver version","type":"string"},"storage_protocol":{"description":"Storage protocol","type":"string"},"vendor_name":{"description":"Vendor name","type":"string"},"volume_backend_name":{"description":"Volume backend name","type":"string"},"location_info":{"description":"Location information","type":"string"}}}}},"paths":{"/v3/scheduler-stats/get_pools":{"get":{"tags":["pools"],"parameters":[{"name":"detail","description":"Show detailed information","schema":{"default":false,"type":"boolean"},"in":"query"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoragePools"}}},"description":"OK"}},"summary":"List back-end storage pools","description":"Lists back-end storage pools"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/api-docs/block-storage-service/pools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
